Bug 673637 - (python-carrot) Review Request: python-carrot - AMQP Messaging Framework for Python
Review Request: python-carrot - AMQP Messaging Framework for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
:
: 611054 (view as bug list)
Depends On:
Blocks: python-celery 649495
  Show dependency treegraph
 
Reported: 2011-01-28 22:07 EST by Brian Pepple
Modified: 2011-05-11 02:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-30 19:46:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
david: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2011-01-28 22:07:56 EST
Spec URL: http://bpepple.fedorapeople.org/rpms/python-carrot.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/python-carrot-0.10.7-2.fc14.src.rpm

Description:
carrot is an AMQP messaging queue framework. AMQP is the Advanced
Message Queuing Protocol, an open standard protocol for message
orientation, queuing, routing, reliability and security.

The aim of carrot is to make messaging in Python as easy as possible
by providing a high-level interface for producing and consuming
messages. At the same time it is a goal to re-use what is already
available as much as possible.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2748593

rpmlint gives the following error which I believe can be safely ignored:
 python-carrot.noarch: E: explicit-lib-dependency python-amqplib
Comment 1 David Nalley 2011-01-29 10:56:05 EST
OK: rpmlint must be run on every package. The output should be posted in the review.
[ke4qqq@L1012001 rpmbuild]$ rpmlint SRPMS/python-carrot-0.10.7-2.fc14.src.rpm SPECS/python-carrot.spec RPMS/noarch/python-carrot-0.10.7-2.fc14.noarch.rpm 
python-carrot.noarch: E: explicit-lib-dependency python-amqplib
2 packages and 1 specfiles checked; 1 errors, 0 warnings.
I agree that can be disregarded. 
OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[ke4qqq@L1012001 SOURCES]$ md5sum carrot-0.10.7.tar.gz*
530a0614de3a669314c3acd4995c54d5  carrot-0.10.7.tar.gz
530a0614de3a669314c3acd4995c54d5  carrot-0.10.7.tar.gz.1
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
NA: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
OK: Packages must NOT bundle copies of system libraries.
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
NA: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
NA: Header files must be in a -devel package. 
NA: Static libraries must be in a -static package. 
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8. 




APPROVED
Comment 2 Brian Pepple 2011-01-29 12:00:36 EST
New Package SCM Request
=======================
Package Name: python-carrot
Short Description: AMQP Messaging Framework for Python
Owners: bpepple
Branches: f14 el6
InitialCC:
Comment 3 Dennis Gilmore 2011-01-30 19:07:43 EST
Git done (by process-git-requests).
Comment 4 Brian Pepple 2011-01-30 19:46:14 EST
Package imported and built for devel & f14. Will import to el6 once a el6 version of python-amqplib is built.
Comment 5 Rahul Sundaram 2011-05-11 02:43:26 EDT
*** Bug 611054 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.